%define long_version 15.0.0
Name:           unicode-emoji
Version:        15.0
Release:        1
Summary:        Data Files for Unicode Emoji
License:        Unicode-DFS-2016
URL:            http://www.unicode.org/emoji/
Source0:        https://www.unicode.org/license.txt
Source1:        https://www.unicode.org/Public/emoji/%{version}/ReadMe.txt
Source2:        https://www.unicode.org/Public/%{long_version}/ucd/emoji/emoji-data.txt
Source3:        https://www.unicode.org/Public/emoji/%{version}/emoji-sequences.txt
Source4:        https://www.unicode.org/Public/emoji/%{version}/emoji-test.txt
Source5:        https://www.unicode.org/Public/%{long_version}/ucd/emoji/emoji-variation-sequences.txt
Source6:        https://www.unicode.org/Public/emoji/%{version}/emoji-zwj-sequences.txt
BuildArch:      noarch

%description
Unicode Emoji Data Files are emoji data files that machines can read.

%prep
%{nil}

%build
%{nil}

%install
cp -p %{SOURCE0} .
mkdir -p %{buildroot}%{_datadir}/unicode/emoji
cp -p %{SOURCE1} %{buildroot}%{_datadir}/unicode/emoji
cp -p %{SOURCE2} %{buildroot}%{_datadir}/unicode/emoji
cp -p %{SOURCE3} %{buildroot}%{_datadir}/unicode/emoji
cp -p %{SOURCE4} %{buildroot}%{_datadir}/unicode/emoji
cp -p %{SOURCE5} %{buildroot}%{_datadir}/unicode/emoji
cp -p %{SOURCE6} %{buildroot}%{_datadir}/unicode/emoji

%files
%license license.txt
%doc %{_datadir}/unicode/emoji/ReadMe.txt
%dir %{_datadir}/unicode
%dir %{_datadir}/unicode/emoji
%{_datadir}/unicode/emoji/emoji-*txt

%changelog
* Wed Aug 23 2023 wangkai <wang_kai001@hoperun.com> - 15.0-1
- Upgrade to version 15.0

* Thu Jun 16 2022 SimpleUpdate Robot <tc@openeuler.org> - 14.0-1
- Upgrade to version 14.0

* Mon Jun 6 2022 Chenyx <chenyixiong3@huawei.com> - 11.0-4
- License compliance rectification

* Wed Jan  8 2020 Shuaishuai Song <songshuaishuai2@huawei.com> - 11.0-3
- package init
